import React from "react"

export default class ListFilter extends React.PureComponent {
  constructor(props) {
    super(props);
    this.state = { filter: "" };
    this.handleChange = this.handleChange.bind(this);
  }
  handleChange(ev) {
    if (ev) { ev.preventDefault(); }
    const value = this.input.value;
    if (this.state.filter === value) { return }
    this.setState({ filter: value });

    // Start filtering at 3 chars
    if (value.length >= 3) {
      this.props.updateFilter(value);
    } else {
      this.props.updateFilter("");
    }
  }
  render() {
    return (
      <div className="row">
        <div className="col-xs-12 col-md-12 list-filter">
          <form className="input-group" onSubmit={(ev) => this.handleChange(ev)}>
            <input
              className="form-control input-sm"
              placeholder={this.props.placeHolder}
              onChange={this.handleChange}
              ref={(input) => this.input = input}
              value={this.state.filter}
            />
            <span className="input-group-btn hidden-xs">
              <button className="btn btn-default btn-sm" type="button">Filter</button>
            </span>
          </form>
        </div>
      </div>
    );
  }
}
